# POST /agent-ops/signals

**Resource:** [Agent Ops](./agent-ops.md)  
**Scopes:** `agent-ops:write`  
**Write operation:** yes

Send an inter-agent signal.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `for_agent` | body | string | yes | Recipient agent name |
| `created_by` | body | string | yes | Sender agent name |
| `signal` | body | string | yes | Signal type (e.g. screenshot_request, error_fix_request) |
| `detail` | body | string | no | Signal payload |
| `expires_at` | body | string | no | ISO datetime for expiry |

## Response example

```json
{ "data": { "id": "signal-uuid", "for_agent": "ops-report", "signal": "screenshot_request" } }
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`